
Foreman - Feature #1848

Add links to email summary report to give more direct access to interesting events

09/03/2012 05:20 AM - Callum Scott

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently the only way to view an interesting event (eg something restarted or applied) from the summary report is to click on the

host name then the reports button.  This is ok if you are looking at a report that was generated recently.  However if you are looking

at an older report  (anything older than 12 hours pretty much), it can take some time to find as there is un-interesting data all over the

place.

Can the number of events in the report be modified so if you were to click on it, it would take you to the reports page for the host and

automagically apply the appropriate filter to the page.  eg I click on 7 skipped tasks for host.domain.com and it would take me to

foremanserver/hosts/host.domain.com/reports with a filter for "name=host.domain.com and skipped = 7" ?

Associated revisions

Revision 3e7700b6 - 09/09/2013 08:55 AM - Greg Sutcliffe

Fixes #1848 - Link non-zero report summaries to the equivalent report search

History

#1 - 09/05/2012 03:49 AM - Ohad Levy

make sense, any pickers? :)

#2 - 09/05/2012 05:05 AM - Greg Sutcliffe

- Assignee set to Greg Sutcliffe

I can try and tackle that - seems like an easy one for next week :)

#3 - 01/15/2013 08:31 AM - Greg Sutcliffe

- Status changed from New to Ready For Testing

Pull request added for this: https://github.com/theforeman/foreman/pull/374

#4 - 06/19/2013 05:43 AM - Benjamin Papillon

bump :)

#5 - 09/09/2013 09:31 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3e7700b679130b78737ac6c3f98571f1d9e1d2dc.
